Skip to main content
Version: 5.35.0

Value Selection

The Select component can be used to select one or multiple values from a list. The values can be of any type, for example number, string or object as described in the data binding section.

Single value selection​

By default the Select operates in single value selection mode, but can be used to select multiple values from a list as well.

<mbsc-select [data]="drinks" [(ngModel)]="selected"></mbsc-select>
import { MbscSelectData } from '@mobiscroll/angular';

@Component({...})
export class MyComponent {
drinks: MbscSelectData[] = [
{ text: 'Mohito', value: 'mohito'},
{ text: 'Long Island', value: 'longisland'},
{ text: 'Margarita', value: 'margarita'}
];

selected: string | null = null;
}

Multiple value selection​

Multiselection can be enabled using the selectMultiple option.

<mbsc-select [data]="bonuses" [selectMultiple]="true" [(ngModel)]="selected"></mbsc-select>
import { MbscSelectData } from '@mobiscroll/angular';

@Component({...})
export class MyComponent {
bonuses: MbscSelectData[] = ['Free ticket', 'Free Drink', 'Free Hug'];

selected: string[] = [];
}

Skip to main content
Version: 5.35.0

Value Selection

The Select component can be used to select one or multiple values from a list. The values can be of any type, for example number, string or object as described in the data binding section.

Single value selection​

By default the Select operates in single value selection mode, but can be used to select multiple values from a list as well.

Selecting a single value
<script setup>
import { ref } from 'vue';
import { MbscSelect } from '@mobiscroll/vue';

const drinks = [
{ text: 'Mohito', value: 'mohito'},
{ text: 'Long Island', value: 'longisland'},
{ text: 'Margarita', value: 'margarita'}
];

const selected = ref();
</script>

<template>
<MbscSelect :data="drinks" v-model="selected" />
</template>

Multiple value selection​

Multiselection can be enabled using the selectMultiple option.

Selecting multiple items from a list
<script setup>
import { ref } from 'vue';
import { MbscSelect } from '@mobiscroll/vue';

const bonuses = ['Free ticket', 'Free Drink', 'Free Hug'];

const selected = ref();
</script>

<template>
<MbscSelect :data="bonuses" v-model="selected" :selectMultiple="true" />
</template>

Skip to main content
Version: 5.35.0

Value Selection

The Select component can be used to select one or multiple values from a list. The values can be of any type, for example number, string or object as described in the data binding section.

Single value selection​

By default the Select operates in single value selection mode, but can be used to select multiple values from a list as well.

Selecting a single value
import { useState } from 'react';
import { Select } from '@mobiscroll/react';

function App() {
const [drinks] = useState([
{ text: 'Mohito', value: 'mohito'},
{ text: 'Long Island', value: 'longisland'},
{ text: 'Margarita', value: 'margarita'}
]);

const [selectedValue, setSelectedValue] = useState(null);
const myChange = (ev) => setSelectedValue(ev.value);

return <Select data={drinks} value={selectedValue} onChange={myChange} />
}

Multiple value selection​

Multiselection can be enabled using the selectMultiple option.

Selecting multiple items from a list
import { useState } from 'react';
import { Select } from '@mobiscroll/react';

function App() {
const [bonuses] = useState(['Free ticket', 'Free Drink', 'Free Hug']);

const [selectedValues, setSelectedValues] = useState(null);
const myChange = (ev) => setSelectedValues(ev.value);

return <Select selectMultiple={true} data={bonuses} value={selectedValues} onChange={myChange} />
}